const {
	      gi  : {
		      Gio: { SettingsSchemaSource, Settings },
		      Gtk: { Label, Switch, Box, Grid }
	      },
	      misc: { extensionUtils },
	      gettext
      }             = imports;
const { uuid, dir } = extensionUtils.getCurrentExtension();
const _             = gettext.gettext;

function init()
{
	gettext.bindtextdomain( uuid, dir.get_child( 'locale' ).get_path() );
	gettext.textdomain( uuid );
}

function buildPrefsWidget()
{
	const settings         = extensionUtils.getSettings();
	const settingSwitch    = new Switch( { active: settings.get_boolean( 'persist' ) } );
	const settingSwitchBox = new Box( { spacing: 8 } );
	const grid             = new Grid( {
		margin_top   : 24,
		margin_bottom: 24,
		margin_start : 24,
		margin_end   : 24,
		row_spacing  : 16,
		visible      : true
	} );

	settingSwitch.connect( 'notify::active', ( { active } ) => settings.set_boolean( 'persist', active ) );

	settingSwitchBox.append( new Label( { label: _( 'Persist' ) } ) );
	settingSwitchBox.append( settingSwitch );

	grid.attach( settingSwitchBox, 0, 0, 1, 1 );
	grid.attach( new Label( { label: _( 'Warning! This will make permissions dialog to appear 5s after login (only if boost\nneeds to be changed).' ) } ), 0, 1, 1, 1 );

	grid.show();

	return grid;
}